/* 
 * Copyright (C) 1997 Roger Whitney <whitney@cs.sdsu.edu>
 *
 * This file is part of the San Diego State University Java Library.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

package sdsu.algorithms.data;

/**
 * An interface for generating a sequence of objects. The intent is to act as an
 * adaptor for number generators. Some objects require numbers to be wrapped in 
 * an Number object. Placing a ObjectGenerator at the end of a number generator chain
 * will automatical place the number in a Number object. It is also used to keep data
 * manipulators independent from the data type. 
 *
 * @see		sdsu.data.NumberGenerator
 * @version 1.0 19 June 1997 
 * @author Roger Whitney (<a href=mailto:whitney@cs.sdsu.edu>whitney@cs.sdsu.edu</a>)
 */


public interface ObjectGenerator
	{
	public Object nextElement();
	}