/* 
 * Copyright (C) 1998 Roger Whitney <whitney@cs.sdsu.edu>
 *
 * This file is part of the San Diego State University Java Library.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

package sdsu.logging;


/**
 * LogMessage and its subclasses are used by sdsu.logging.Logger. 
 * LogMessage represents a routine type of message.
 *
 * @see sdsu.logging.Logger
 * @see sdsu.logging.LoggerMessage
 * @version 1.0 3 January 1998 
 * @author Roger Whitney 
 * (<a href=mailto:whitney@cs.sdsu.edu>whitney@cs.sdsu.edu</a>)
 */
public class LogMessage extends LoggerMessage
	{

	public LogMessage( String message )
		{
		super( message);
		}
		
	/**
	 * Returns the type of the message.
	 */
	public String getMessageType()
		{
		return "Log";
		}
		
	}