/* 
 * Copyright (C) 1998 Roger Whitney <whitney@cs.sdsu.edu>
 *
 * This file is part of the San Diego State University Java Library.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

package sdsu.logging;

import java.text.DateFormat;
import java.util.Date;
import sdsu.util.TokenCharacters;
import sdsu.util.Stringizer;

/**
 * Time stamp for logging messages. 
 *
 * @version 1.0 4 January 1998 
 * @author Roger Whitney 
 * (<a href=mailto:whitney@cs.sdsu.edu>whitney@cs.sdsu.edu</a>)
 */
class TimeStamp
	{
	static DateFormat date = 
				DateFormat.getDateInstance(DateFormat.SHORT);

	static DateFormat time = 
				DateFormat.getTimeInstance(DateFormat.MEDIUM );

	protected static final String TIME_KEY = "time";
	protected static final String DATE_KEY = "date";
	
	protected static final String KEY_VALUE_SEPARATOR =
		LoggerMessage.KEY_VALUE_SEPARATOR;

	protected static final String PAIR_SEPARATOR =
		LoggerMessage.PAIR_SEPARATOR;
		
	/**
	 * Return a key-value pair string representing the 
	 * current time
	 */	
   public static String now()
   	{
		Date now = new Date();
   	Stringizer buffer = new Stringizer( LoggerMessage.parseTable );

		buffer.appendToken( TIME_KEY, KEY_VALUE_SEPARATOR );
		buffer.appendToken( time.format( now ), PAIR_SEPARATOR );
		buffer.appendToken( DATE_KEY, KEY_VALUE_SEPARATOR );
		buffer.appendToken( date.format( now ), PAIR_SEPARATOR );

		return buffer.toString() + PAIR_SEPARATOR;
   	}
	}
